This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 831654 - Update RHEL 5.x to NSPR 4.9.1 for Mozilla 10.0.6
Update RHEL 5.x to NSPR 4.9.1 for Mozilla 10.0.6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nspr (Show other bugs)
5.9
Unspecified Unspecified
high Severity high
: rc
: 5.9
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
: ZStream
Depends On:
Blocks: 830304 834220
  Show dependency treegraph
 
Reported: 2012-06-13 10:13 EDT by Elio Maldonado Batiz
Modified: 2014-06-11 11:30 EDT (History)
8 users (show)

See Also:
Fixed In Version: nspr-4.9.1-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 02:39:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
For the record: the changes made for the nspr 4.9.1 update (5.49 KB, patch)
2012-06-19 21:49 EDT, Elio Maldonado Batiz
no flags Details | Diff
Remove the unwanted /nspr4 part (693 bytes, patch)
2012-06-21 12:56 EDT, Elio Maldonado Batiz
no flags Details | Diff

  None (edit)
Description Elio Maldonado Batiz 2012-06-13 10:13:55 EDT
Description of problem: An update of RHEL 5.x to NSPR 4.9.1 is needed if we are to update NSS to 3.12.5 as has been proposed. This is to be shipped together with the next Mozilla update to stable version 10.0.6 scheduled for mid July.
Comment 1 RHEL Product and Program Management 2012-06-13 10:18:50 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 4 Elio Maldonado Batiz 2012-06-19 21:49:39 EDT
Created attachment 593108 [details]
For the record:  the changes made for the nspr 4.9.1 update

The bulk of the changes come as the result of uptream supplying us with the nspr.pc.in file. The rather tricky sed editing on our own copy in the %install section of nspr.spec isn no longer need. I still do some light patching.
Comment 5 Elio Maldonado Batiz 2012-06-20 11:39:33 EDT
To see the effect of on nspr-devel rpm and compare against the last one that shipped download both rpms, extract them and compare the relevant pieces.

The last one shipped
$ rpmdev-extract ~/Downloads/nspr-devel-4.8.9-1.el5.x86_64.rpm 
nspr-devel-4.8.9-1.el5.x86_64/usr/bin/nspr-config
... ommitted ....
nspr-devel-4.9.1-1.el5.x86_64/usr/lib64/pkgconfig/nspr.pc

Extract the one just built
$ rpmdev-extract ~/Downloads/nspr-devel-4.9.1-1.el5.x86_64.rpm
nspr-devel-4.9.1-1.el5.x86_64/usr/bin/nspr-config
... ommitted ....
nspr-devel-4.9.1-1.el5.x86_64/usr/lib64/pkgconfig/nspr.pc
 
$ diff -up nspr-devel-4.8.9-1.el5.x86_64/usr/bin/nspr-config nspr-devel-4.8.9-1.el5.x86_64/usr/bin/nspr-config
--- identical as expected

]$ diff -up nspr-devel-4.8.9-1.el5.x86_64/usr/lib64/pkgconfig/nspr.pc nspr-devel-4.9.1-1.el5.x86_64/usr/lib64/pkgconfig/nspr.pc
--- nspr-devel-4.8.9-1.el5.x86_64/usr/lib64/pkgconfig/nspr.pc	2012-02-08 15:00:15.000000000 -0800
+++ nspr-devel-4.9.1-1.el5.x86_64/usr/lib64/pkgconfig/nspr.pc	2012-06-19 12:36:07.000000000 -0700
@@ -1,12 +1,10 @@
-ldflags=
-os_libs=-lpthread -ldl 
 prefix=/usr
-exec_prefix=/usr
+exec_prefix=${prefix}
 libdir=/usr/lib64
 includedir=/usr/include/nspr4
 
 Name: NSPR
 Description: The Netscape Portable Runtime
-Version: 4.8.9
-Libs: -L/usr/lib64 -lplds4 -lplc4 -lnspr4 -lpthread -ldl
+Version: 4.9.1
+Libs: -L/usr/lib64/nspr4 -lplds4 -lplc4 -lnspr4 -lpthread -ldl
 Cflags: -I/usr/include/nspr4
Comment 14 Elio Maldonado Batiz 2012-06-21 12:56:44 EDT
Created attachment 593509 [details]
Remove the unwanted /nspr4 part
Comment 16 Kai Engert (:kaie) 2012-06-21 15:12:21 EDT
Comment on attachment 593509 [details]
Remove the unwanted /nspr4 part

This means your patch adds @OS_LIBS@

I don't know what this will expand to, do you?
Comment 17 Elio Maldonado Batiz 2012-06-21 16:16:09 EDT
It expands to '-lpthread -ldl', the last on the answer to kg-config --libs nspr
which I need to preserve.
Comment 18 Elio Maldonado Batiz 2012-06-21 17:51:57 EDT
By the way, that old have nspr-config-vars.in has
ldflags=@LDFLAGS@
os_libs=@OS_LIBS@
and helped accompish the same things in a circuituous manner, new way is simpler.
Comment 19 Elio Maldonado Batiz 2012-06-25 12:45:42 EDT
I restored the top part of to the original nspr-config-pc.patch that patches nspr-congig which I had mistankey removed. Without it we would have had a multilib regression. The rpmdiff based test caught that.
Comment 21 Kai Engert (:kaie) 2012-06-26 09:05:16 EDT
Red Hat should run the set of tests that involves all applications that make use of NSPR/NSS to verify there are no regressions.
Comment 23 Kai Engert (:kaie) 2012-07-24 14:47:22 EDT
back to modified for inclusion of 633519
Comment 27 errata-xmlrpc 2013-01-08 02:39:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0081.html
Comment 28 Jiri Jaburek 2013-02-12 07:29:26 EST
Since this is not a single issue / something that can/should be automatically tested itself, I'm setting qe_test_coverage- to exclude this bug from automatic cleanup checker.

Note You need to log in before you can comment on or make changes to this bug.